﻿using Hotline.Settings;

namespace Hotline.Caching.Interfaces
{
    public interface ISystemSettingCacheManager
    {
        SystemSetting? GetSetting(string code);
        void DelSystemSetting(string code);
        int NoConnectByeTimes { get; }
        int EffectiveTimes { get; }
        int ConnectByeTimes { get; }
        int CallInOverConnRingTime { get; }
        int SeatChaoTime { get; }
        int RingTimes { get; }
        string RecordPrefix { get; }

        /// <summary>
        /// 中心直办件默认回访人Id
        /// 根据禅道 自贡需求 Id_361, 第一条, 3小条需求;
        /// </summary>
        string DefaultVisitEmployeeId { get; }
        int FixedQueryCount { get; }

        /// <summary>
        /// 自动发布中心直办归档工单
        /// </summary>
        bool AutomaticPublishOrder { get; }
        bool CancelPublishOrderEnabled { get; }

        /// <summary>
        /// 保存回访详情时发送延迟消息同步通话记录
        /// 如果回访通话记录有多条, 需要关联通话时长最长的那条
        /// </summary>
        int VisitCallDelaySecond { get; }

        /// <summary>
        /// 发送回访短信后等候市民回复短信的时间
        /// 如果超过这个时间就更新回访为默认满意
        /// </summary>
        int DefaultVisitSmsDelaySecond { get; }
    }
}
